#include "driver.h"

/* UPL games */
extern struct GameDriver nova2001_driver;
extern struct GameDriver pkunwar_driver;
extern struct GameDriver pkunwarj_driver;
extern struct GameDriver ninjakd2_driver;
extern struct GameDriver ninjak2a_driver;

extern struct GameDriver blueprnt_driver;
extern struct GameDriver espial_driver;
extern struct GameDriver espiale_driver;
extern struct GameDriver exerion_driver;
extern struct GameDriver exeriont_driver;
extern struct GameDriver exerionb_driver;
extern struct GameDriver vastar_driver;
extern struct GameDriver vastar2_driver;
extern struct GameDriver citycon_driver;
extern struct GameDriver psychic5_driver;
extern struct GameDriver dday_driver;
extern struct GameDriver gundealr_driver;
extern struct GameDriver gundeala_driver;
extern struct GameDriver leprechn_driver;
extern struct GameDriver potogold_driver;
extern struct GameDriver hexa_driver;
extern struct GameDriver redalert_driver;
extern struct GameDriver spiders_driver;
extern struct GameDriver goldstar_driver;
extern struct GameDriver goldstbl_driver;
extern struct GameDriver sharkatt_driver;
extern struct GameDriver exctsccr_driver;
extern struct GameDriver exctsccb_driver;
extern struct GameDriver speedbal_driver;
extern struct GameDriver sauro_driver;

/* Nichibutsu games */
extern struct GameDriver cop01_driver;
extern struct GameDriver cop01a_driver;

extern struct GameDriver pang_driver;

/* Gottlieb/Mylstar games (Gottlieb became Mylstar in 1983) */
extern struct GameDriver reactor_driver;
extern struct GameDriver mplanets_driver;
extern struct GameDriver qbert_driver;
extern struct GameDriver qbertjp_driver;
extern struct GameDriver sqbert_driver;
extern struct GameDriver krull_driver;
extern struct GameDriver mach3_driver;
extern struct GameDriver usvsthem_driver;
extern struct GameDriver stooges_driver;
extern struct GameDriver qbertqub_driver;
extern struct GameDriver curvebal_driver;

const struct GameDriver *drivers[] =
{
	&blueprnt_driver,	/* (c) 1982 Bally Midway */
	&citycon_driver,	/* (c) 1985 Jaleco */
	&cop01_driver,		/* (c) 1985 */
	&cop01a_driver,		/* (c) 1985 */
	&curvebal_driver,	/* GV-134 (c) 1984 Mylstar */
	&dday_driver,		/* (c) 1982 Centuri */
	&espial_driver,		/* (c) 1983 Thunderbolt */
	&espiale_driver,	/* (c) 1983 Thunderbolt */
	&exctsccb_driver,	/* bootleg */
	&exctsccr_driver,	/* (c) 1983 Alpha Denshi Co. */
	&exerion_driver,	/* (c) 1983 Jaleco */
	&exerionb_driver,	/* bootleg */
	&exeriont_driver,	/* (c) 1983 Jaleco + Taito America license */
	&goldstar_driver,
	&goldstbl_driver,
	&gundeala_driver,	/* (c) Dooyong */
	&gundealr_driver,	/* (c) 1990 Dooyong */
	&hexa_driver,		/* D. R. Korea */
	&krull_driver,		/* GV-105 (c) 1983 Gottlieb */
	&leprechn_driver,	/* (c) 1982 Tong Electronic */
	&mach3_driver,		/* GV-109 (c) 1983 Mylstar */
	&mplanets_driver,	/* GV-102 (c) 1983 Gottlieb */
	&ninjak2a_driver,	/* (c) 1987 */
	&ninjakd2_driver,	/* (c) 1987 */
	&nova2001_driver,	/* (c) [1984?] + Universal license */
	&pang_driver,		/* (c) 1990 Mitchell */
	&pkunwar_driver,	/* [1985?] */
	&pkunwarj_driver,	/* [1985?] */
	&potogold_driver,	/* (c) 1982 Tong Electronic */
	&psychic5_driver,	/* (c) 1987 Jaleco */
	&qbert_driver,		/* GV-103 (c) 1982 Gottlieb */
	&qbertjp_driver,	/* GV-103 (c) 1982 Gottlieb + Konami license */
	&qbertqub_driver,	/* GV-119 (c) 1983 Mylstar */
	&reactor_driver,	/* GV-100 (c) 1982 Gottlieb */
	&redalert_driver,	/* (c) 1981 Irem (GDI game) */
	&sauro_driver,		/* (c) 1987 Tecfri */
	&sharkatt_driver,	/* (c) Pacific Novelty */
	&speedbal_driver,	/* (c) 1987 Tecfri */
	&spiders_driver,	/* (c) 1981 Sigma */
	&sqbert_driver,		/* (c) 1983 Mylstar - never released */
	&stooges_driver,	/* GV-113 (c) 1984 Mylstar */
	&usvsthem_driver,	/* GV-??? (c) 198? Mylstar */
	&vastar2_driver,	/* (c) 1983 Sesame Japan */
	&vastar_driver,		/* (c) 1983 Sesame Japan */
	0	/* end of array */
};
