#include "driver.h"

/* Atari System 1 games */
extern struct GameDriver marble_driver;
extern struct GameDriver marble2_driver;
extern struct GameDriver marblea_driver;
extern struct GameDriver peterpak_driver;
extern struct GameDriver indytemp_driver;

/* later Atari games */
extern struct GameDriver gauntlet_driver;
extern struct GameDriver gauntir1_driver;
extern struct GameDriver gauntir2_driver;
extern struct GameDriver gaunt2p_driver;
extern struct GameDriver gaunt2_driver;
extern struct GameDriver klax_driver;
extern struct GameDriver klax2_driver;
extern struct GameDriver klax3_driver;
extern struct GameDriver xybots_driver;
extern struct GameDriver foodf_driver;

/* Capcom games */
extern struct GameDriver bionicc_driver;
extern struct GameDriver bionicc2_driver;

/* Data East 16-bit games */
extern struct GameDriver karnov_driver;
extern struct GameDriver karnovj_driver;
extern struct GameDriver chelnov_driver;
extern struct GameDriver chelnovj_driver;

/* Technos games */
extern struct GameDriver blockout_driver;

/* Konami "Nemesis hardware" games */
extern struct GameDriver nemesis_driver;
extern struct GameDriver nemesuk_driver;
extern struct GameDriver konamigt_driver;
extern struct GameDriver salamand_driver;
extern struct GameDriver lifefrce_driver;
extern struct GameDriver lifefrcj_driver;

/* GX400 BIOS based games */
extern struct GameDriver rf2_driver;
extern struct GameDriver twinbee_driver;
extern struct GameDriver gradius_driver;
extern struct GameDriver gwarrior_driver;

/* other Taito games */
extern struct GameDriver twincobr_driver;
extern struct GameDriver twincobu_driver;
extern struct GameDriver ktiger_driver;
extern struct GameDriver rastan_driver;
extern struct GameDriver rastsaga_driver;

extern struct GameDriver snowbros_driver;
extern struct GameDriver snowbro2_driver;
extern struct GameDriver terracre_driver;
extern struct GameDriver terracra_driver;

/* SNK Games */
extern struct GameDriver prehisle_driver;
extern struct GameDriver prehislu_driver;
extern struct GameDriver prehislj_driver;

/* Tad Games */
extern struct GameDriver cabal_driver;
extern struct GameDriver cabal2_driver;
extern struct GameDriver cabalbl_driver;

const struct GameDriver *drivers[] =
{
	&bionicc2_driver,
	&bionicc_driver,
	&blockout_driver,
	&cabal_driver,
	&cabal2_driver,
	&cabalbl_driver,
	&chelnov_driver,
	&chelnovj_driver,
	&foodf_driver,
	&gaunt2_driver,
	&gaunt2p_driver,
	&gauntir1_driver,
	&gauntir2_driver,
	&gauntlet_driver,
	&gradius_driver,
	&gwarrior_driver,
	&indytemp_driver,
	&karnov_driver,
	&karnovj_driver,
	&klax2_driver,
	&klax3_driver,
	&klax_driver,
	&konamigt_driver,
	&ktiger_driver,
	&lifefrce_driver,
	&lifefrcj_driver,
	&marble2_driver,
	&marble_driver,
	&marblea_driver,
	&nemesis_driver,
	&nemesuk_driver,
	&peterpak_driver,
	&prehisle_driver,
	&prehislu_driver,
	&prehislj_driver,
	&rastan_driver,
	&rastsaga_driver,
	&salamand_driver,
	&rf2_driver,
	&snowbro2_driver,
	&snowbros_driver,
	&terracra_driver,
	&terracre_driver,
	&twinbee_driver,
	&twincobr_driver,
	&twincobu_driver,
	&xybots_driver,
	0	/* end of array */
};
